import AuthLayout from "@/components/modules/authLayout";
import Head from "next/head";
import ForgotPasswordSection from "@/components/rendering/auth/forgotPasswordSection";
import { parseCookies } from "nookies";
import axios from "axios";

export default function ForgotPasswordPage({
  emailsss,
  phone,
  userLocationData,
}: any) {
  return (
    <>
      <Head>
        <title>WaoSim | Forgot Password</title>
        <meta name="description" content="Generated by create next app" />
        <meta name="viewport" content="width=device-width, initial-scale=1" />
        <link rel="icon" href="/faviconIcon.svg" />
      </Head>
      <main>
        <AuthLayout>
          <ForgotPasswordSection
            emailsss={emailsss}
            phone={phone}
            userLocationData={userLocationData}
          />
        </AuthLayout>{" "}
      </main>
    </>
  );
}

export async function getServerSideProps(context: any) {
  const { req } = context;
  const { email, phone } = context.query;

  const emailValue = email?.length > 0 ? email : "";
  const phoneValue = phone || "";
  const cookies = parseCookies({ req });
  const res = await axios.get("https://ipapi.co/json/");

  if (cookies?.waotoken) {
    return {
      redirect: {
        destination: "/",
        permanent: false,
      },
    };
  }
  // else if (!(phone || email) && !cookies?.waotoken) {
  //   return {
  //     redirect: {
  //       destination: "/auth/login",
  //       permanent: false,
  //     },
  //   };
  // }

  return {
    props: {
      emailsss: emailValue ?? "",
      phone: phoneValue ? `+${phoneValue.replace(/\s+/g, "")}` : "",
      token: cookies?.waotoken || "",
      userLocationData: {
        country_code: res?.data?.country_code || "IN",
        country_calling_code: res?.data?.country_calling_code || "+91",
      },
    },
  };
}
